Docs
Referência da APICobranças

Consultar cobrança

Devolve o estado atual da cobrança. Logo após a criação ou um webhook, pode devolver estado anterior ou `404` temporário.

GET
/api/v1/paymentintents/{id}

Devolve o estado atual da cobrança. Logo após a criação ou um webhook, pode devolver estado anterior ou 404 temporário.

Autenticação

ApiKey
headerAuthorization<token>

A chave de API crua, sem prefixo: kpa_test_sk_… no sandbox e kpa_live_sk_… em produção. Use apenas no servidor.

Parâmetros de rota

id*string
Formatouuid

Corpo da resposta

A cobrança.

application/json
  1. response
id?string
Formatouuid
object?string
amount?integer
currency?string
status?PaymentIntentStatus
Valores aceitos"Created""Processing""RequiresAction""Succeeded""Failed""Canceled""Refund""ChargedBack"
statusDetail?|

Lista aberta, ex. PENDING_CHALLENGE, AUTHENTICATION_FAILED.

merchantId?string
paymentMethods?array<>
customer?
split?|null
metadata?
lastPaymentError?|null
nextAction?|null
pixPayment?|null
pagalevePayment?|null
postbackUrl?string|null
description?string|null
statementDescriptor?string|null
created?string
Formatodate-time
succeededAt?|
Formatodate-time
Exemplo de requisição
curl -X GET 'https://g6idryo27h.execute-api.us-east-1.amazonaws.com/api/v1/paymentintents/8b727267-bf39-48a4-91ea-eb0780cb48a9'
Exemplo de resposta
{  "id": "8b727267-bf39-48a4-91ea-eb0780cb48a9",  "object": "payment_intent",  "amount": 1990,  "currency": "BRL",  "status": "Succeeded",  "paymentMethods": [    {      "type": "Pix",      "amount": 1990,      "currency": "BRL",      "card": null,      "pix": {        "pixKeyType": "RANDOM",        "expiresInMinutes": 30      }    }  ],  "metadata": {    "orderId": "pedido-pix-1001"  },  "pixPayment": {    "qrCodeEmv": "00020126...",    "qrCodeUrl": "",    "pixCopyPaste": "00020126...",    "expiresAt": "2026-09-08T15:30:00Z",    "endToEndId": "E00000000202609081504A1b2C3d4E5f",    "status": "PENDING"  },  "created": "2026-09-08T15:00:00Z",  "succeededAt": "2026-09-08T15:04:12Z"}